image: docker:latest

variables:
  REGION: eu-west-1

cache:
  paths:
    - node_modules/

services:
- docker:dind

before_script:
  - apk add --no-cache python py-pip nodejs npm git
  - pip install awsebcli

lint:
  stage: check
  script:
    - npm install
    - npm run lint

stages:
  - check
  - deploy

deploy:
  stage: deploy
  script:
    - mkdir ~/.aws/
    - touch ~/.aws/credentials
    - printf "[eb-cli]\naws_access_key_id = %s\naws_secret_access_key = %s\n" "$AWS_ACCESS_KEY_ID" "$AWS_SECRET_ACCESS_KEY" >> ~/.aws/credentials
    - touch ~/.aws/config
    - printf "[profile eb-cli]\nregion=$REGION\noutput=json" >> ~/.aws/config
    - eb init academy-roulette --region "${REGION}" --platform node.js
    - eb deploy
  only:
    - master
